Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core_allocation.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core_allocation.cpp	(revision 138)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Core_allocation.cpp	(revision 139)
@@ -298,4 +298,5 @@
         // out_DECOD_NO_EXECUTE    - ooo_engine. in_RENAME_NO_EXECUTE   
         // out_DECOD_IS_DELAY_SLOT - ooo_engine. in_RENAME_IS_DELAY_SLOT
+        // out_DECOD_SAVE_RAT      - ooo_engine. in_RENAME_SAVE_RAT     
         // out_DECOD_ADDRESS       - ooo_engine. in_RENAME_ADDRESS      
         // out_DECOD_ADDRESS_NEXT  - ooo_engine. in_RENAME_ADDRESS_NEXT 
@@ -478,4 +479,6 @@
               COMPONENT_MAP(_component,src , "in_RENAME_"+toString(j)+"_"+toString(k)+"_IS_DELAY_SLOT",
                                        dest,"out_DECOD_"                 +toString(k)+"_IS_DELAY_SLOT");
+              COMPONENT_MAP(_component,src , "in_RENAME_"+toString(j)+"_"+toString(k)+"_SAVE_RAT"     ,
+                                       dest,"out_DECOD_"                 +toString(k)+"_SAVE_RAT"     );
 #ifdef DEBUG
               COMPONENT_MAP(_component,src , "in_RENAME_"+toString(j)+"_"+toString(k)+"_ADDRESS"      ,
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters.cpp	(revision 138)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters.cpp	(revision 139)
@@ -117,4 +117,5 @@
   uint32_t              * nb_general_register                           ,//[nb_rename_bloc]
   uint32_t              * nb_special_register                           ,//[nb_rename_bloc]
+  Trat_scheme_t         * rat_scheme                                    ,//[nb_rename_bloc]
   uint32_t              * nb_reg_free                                   ,//[nb_rename_bloc]
   uint32_t              * nb_rename_unit_bank                           ,//[nb_rename_bloc]
@@ -281,7 +282,8 @@
     _nb_general_register                     = nb_general_register                     ;
     _nb_special_register                     = nb_special_register                     ;
+    _rat_scheme                              = rat_scheme                              ;
     _nb_reg_free                             = nb_reg_free                             ;
     _nb_rename_unit_bank                     = nb_rename_unit_bank                     ;
-//     _size_read_counter                       = size_read_counter                       ;
+//  _size_read_counter                       = size_read_counter                       ;
 
     _nb_read_bloc                            = nb_read_bloc                            ;
@@ -1059,4 +1061,5 @@
     ALLOC2(_ooo_engine_nb_general_register                ,uint32_t         ,_nb_ooo_engine,_nb_rename_unit[it1]);
     ALLOC2(_ooo_engine_nb_special_register                ,uint32_t         ,_nb_ooo_engine,_nb_rename_unit[it1]);
+    ALLOC2(_ooo_engine_rat_scheme                         ,Trat_scheme_t    ,_nb_ooo_engine,_nb_rename_unit[it1]);
     ALLOC2(_ooo_engine_nb_reg_free                        ,uint32_t         ,_nb_ooo_engine,_nb_rename_unit[it1]);
     ALLOC2(_ooo_engine_nb_rename_unit_bank                ,uint32_t         ,_nb_ooo_engine,_nb_rename_unit[it1]);
@@ -1082,4 +1085,5 @@
             _ooo_engine_nb_general_register               [i][j] = _nb_general_register               [num_rename_bloc];
             _ooo_engine_nb_special_register               [i][j] = _nb_special_register               [num_rename_bloc];
+            _ooo_engine_rat_scheme                        [i][j] = _rat_scheme                        [num_rename_bloc];
             _ooo_engine_nb_reg_free                       [i][j] = _nb_reg_free                       [num_rename_bloc];
             _ooo_engine_nb_rename_unit_bank               [i][j] = _nb_rename_unit_bank               [num_rename_bloc];
@@ -2155,6 +2159,6 @@
        _issue_priority                               [i],
        _issue_load_balancing                         [i],
-//        _ooo_engine_table_routing                     [i],
-//        _ooo_engine_table_issue_type                  [i],
+//     _ooo_engine_table_routing                     [i],
+//     _ooo_engine_table_issue_type                  [i],
        _size_reexecute_queue                         [i],
        _ooo_engine_rename_select_priority            [i],
@@ -2163,4 +2167,5 @@
        _ooo_engine_nb_general_register               [i],
        _ooo_engine_nb_special_register               [i],
+       _ooo_engine_rat_scheme                        [i],
        _ooo_engine_nb_reg_free                       [i],
        _ooo_engine_nb_rename_unit_bank               [i],
@@ -2430,4 +2435,5 @@
     DELETE2(_ooo_engine_nb_rename_unit_bank                         ,_nb_ooo_engine,_nb_rename_unit[it1]);
     DELETE2(_ooo_engine_nb_reg_free                                 ,_nb_ooo_engine,_nb_rename_unit[it1]);
+    DELETE2(_ooo_engine_rat_scheme                                  ,_nb_ooo_engine,_nb_rename_unit[it1]);
     DELETE2(_ooo_engine_nb_special_register                         ,_nb_ooo_engine,_nb_rename_unit[it1]);
     DELETE2(_ooo_engine_nb_general_register                         ,_nb_ooo_engine,_nb_rename_unit[it1]);
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters_print.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters_print.cpp	(revision 138)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/src/Parameters_print.cpp	(revision 139)
@@ -81,4 +81,5 @@
     str+= toString(MSG_INFORMATION)+"     * nb_general_register                         : "+toString<uint32_t         >(_nb_general_register              [i])+"\n";
     str+= toString(MSG_INFORMATION)+"     * nb_special_register                         : "+toString<uint32_t         >(_nb_special_register              [i])+"\n";
+    str+= toString(MSG_INFORMATION)+"     * rat_scheme                                  : "+toString<Trat_scheme_t    >(_rat_scheme                       [i])+"\n";
     str+= toString(MSG_INFORMATION)+"     * nb_reg_free                                 : "+toString<uint32_t         >(_nb_reg_free                      [i])+"\n";
     str+= toString(MSG_INFORMATION)+"     * nb_rename_unit_bank                         : "+toString<uint32_t         >(_nb_rename_unit_bank              [i])+"\n";
